<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>projetUn</groupId>
    <artifactId>projetParent</artifactId>
    <version>1.0</version>
    <packaging>pom</packaging>
    <modules>
        <module>Entity</module>
        <module>IDao</module>
        <module>Dao</module>
        <module>IBusiness</module>
        <module>Business</module>
        <module>AppWeb</module>
        <module>ProjetEAR</module>
        <module>../WSUtilisateursDTO</module>
    </modules>

    <properties>
        <jee.version>7.0</jee.version>
        <jee.web.version>7.0</jee.web.version>
        <java.version>1.8</java.version>
        <ejb.version>3.1</ejb.version>
        <mysql.connector.version>8.0.13</mysql.connector.version>
        <plugin.compiler.version>3.6.0</plugin.compiler.version>
        <plugin.ear.version>2.10.1</plugin.ear.version>
        <plugin.ejb.version>2.5.1</plugin.ejb.version>
        <plugin.war.version>3.0.0</plugin.war.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>javax</groupId>
                <artifactId>javaee-api</artifactId>
                <version>${jee.version}</version>
                <scope>provided</scope>
            </dependency>
            <dependency>
                <groupId>javax</groupId>
                <artifactId>javaee-web-api</artifactId>
                <version>${jee.web.version}</version>
                <scope>provided</scope>
            </dependency>
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>${mysql.connector.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>
    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>${plugin.compiler.version}</version>
                    <configuration>
                        <source>${java.version}</source>
                        <target>${java.version}</target>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-ear-plugin</artifactId>
                    <version>${plugin.ear.version}</version>
                    <configuration>
                        <defaultLibBundleDir>lib</defaultLibBundleDir>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-ejb-plugin</artifactId>
                    <version>${plugin.ejb.version}</version>
                    <configuration>
                        <ejbVersion>${ejb.version}</ejbVersion>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-war-plugin</artifactId>
                    <version>${plugin.war.version}</version>
                    <configuration>
                        <failOnMissingWebXml>false</failOnMissingWebXml>
                    </configuration>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>
</project>